### Signal

# Gtk TextBuffer::delete-range

since: 4.0

#### Declaration

    void
    delete_range (
      GtkTextBuffer* self,
      const GtkTextIter* start,
      const GtkTextIter* end,
      gpointer user_data
    )

#### Description [src]

Emitted to delete a range from a `GtkTextBuffer`.

Note that if your handler runs before the default handler it must not invalidate the `start` and `end` iters (or has to revalidate them). The default signal handler revalidates the `start` and `end` iters to both point to the location where text was deleted. Handlers which run after the default handler (see g_signal_connect_after()) do not have access to the deleted text.

See also: `gtk_text_buffer_delete()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`start`

  Type: `GtkTextIter`

  The start of the range to be deleted.

  The data is owned by the caller of the function.

`end`

  Type: `GtkTextIter`

  The end of the range to be deleted.

  The data is owned by the caller of the function.